
_main:

;pwm_controller.c,22 :: 		void main() {
;pwm_controller.c,24 :: 		ANSEL = 0; // all pins set as digital inputs o outputs
	CLRF       ANSEL+0
;pwm_controller.c,25 :: 		TRISB0_bit=1;     // RB0 sets as digital input
	BSF        TRISB0_bit+0, BitPos(TRISB0_bit+0)
;pwm_controller.c,26 :: 		TRISC = 0;
	CLRF       TRISC+0
;pwm_controller.c,27 :: 		PORTC = 0;       // clear PORTC
	CLRF       PORTC+0
;pwm_controller.c,28 :: 		ANSELH = 0;
	CLRF       ANSELH+0
;pwm_controller.c,29 :: 		C1ON_bit = 0;    // analog comparators off
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;pwm_controller.c,30 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;pwm_controller.c,31 :: 		PWM1_Init(1000);      //PWM frecuency=1khz
	BSF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      249
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
;pwm_controller.c,32 :: 		PWM1_Start();
	CALL       _PWM1_Start+0
;pwm_controller.c,33 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;pwm_controller.c,34 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;pwm_controller.c,35 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;pwm_controller.c,36 :: 		Lcd_Out(1,1,"PWM_controller");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr1_pwm_controller+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;pwm_controller.c,38 :: 		do {
L_main0:
;pwm_controller.c,39 :: 		if (Button(&PORTB,0,1,0)) state=0;     //if the button has been pushed.
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main3
	CLRF       _state+0
L_main3:
;pwm_controller.c,40 :: 		if (state==0 && Button(&PORTB,0,1,1)){ //if after that is free
	MOVF       _state+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_main6
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	CLRF       FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main6
L__main17:
;pwm_controller.c,41 :: 		select++;
	INCF       _select+0, 1
;pwm_controller.c,42 :: 		if (select>5) select=0;
	MOVF       _select+0, 0
	SUBLW      5
	BTFSC      STATUS+0, 0
	GOTO       L_main7
	CLRF       _select+0
L_main7:
;pwm_controller.c,43 :: 		state=1;
	MOVLW      1
	MOVWF      _state+0
;pwm_controller.c,44 :: 		}
L_main6:
;pwm_controller.c,45 :: 		switch (select){
	GOTO       L_main8
;pwm_controller.c,46 :: 		case 0:
L_main10:
;pwm_controller.c,47 :: 		Lcd_Out(2,1,"cycle_duty:  0%");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr2_pwm_controller+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;pwm_controller.c,48 :: 		PWM1_Set_Duty(0);
	CLRF       FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;pwm_controller.c,49 :: 		break;
	GOTO       L_main9
;pwm_controller.c,50 :: 		case 1:
L_main11:
;pwm_controller.c,51 :: 		Lcd_Out(2,1,"cycle_duty: 20%");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr3_pwm_controller+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;pwm_controller.c,52 :: 		PWM1_Set_Duty(51);
	MOVLW      51
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;pwm_controller.c,53 :: 		break;
	GOTO       L_main9
;pwm_controller.c,54 :: 		case 2:
L_main12:
;pwm_controller.c,55 :: 		Lcd_Out(2,1,"cycle_duty: 40%");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr4_pwm_controller+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;pwm_controller.c,56 :: 		PWM1_Set_Duty(102);
	MOVLW      102
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;pwm_controller.c,57 :: 		break;
	GOTO       L_main9
;pwm_controller.c,58 :: 		case 3:
L_main13:
;pwm_controller.c,59 :: 		Lcd_Out(2,1,"cycle_duty: 60%");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr5_pwm_controller+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;pwm_controller.c,60 :: 		PWM1_Set_Duty(153);
	MOVLW      153
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;pwm_controller.c,61 :: 		break;
	GOTO       L_main9
;pwm_controller.c,62 :: 		case 4:
L_main14:
;pwm_controller.c,63 :: 		Lcd_Out(2,1,"cycle_duty: 80%");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr6_pwm_controller+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;pwm_controller.c,64 :: 		PWM1_Set_Duty(204);
	MOVLW      204
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;pwm_controller.c,65 :: 		break;
	GOTO       L_main9
;pwm_controller.c,66 :: 		case 5:
L_main15:
;pwm_controller.c,67 :: 		Lcd_Out(2,1,"cycle_duty:100%");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr7_pwm_controller+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;pwm_controller.c,68 :: 		PWM1_Set_Duty(255);
	MOVLW      255
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;pwm_controller.c,69 :: 		break;
	GOTO       L_main9
;pwm_controller.c,70 :: 		}
L_main8:
	MOVF       _select+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_main10
	MOVF       _select+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_main11
	MOVF       _select+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_main12
	MOVF       _select+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_main13
	MOVF       _select+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_main14
	MOVF       _select+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_main15
L_main9:
;pwm_controller.c,71 :: 		delay_ms(5);
	MOVLW      7
	MOVWF      R12+0
	MOVLW      125
	MOVWF      R13+0
L_main16:
	DECFSZ     R13+0, 1
	GOTO       L_main16
	DECFSZ     R12+0, 1
	GOTO       L_main16
;pwm_controller.c,72 :: 		}while(1);
	GOTO       L_main0
;pwm_controller.c,73 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
